Project

General

Profile

Bug #23548

installer tries to reinstall puppet-agent-oauth which is not installed

Added by Ales Dujicek over 4 years ago. Updated about 4 years ago.

Status:
Rejected
Priority:
High
Assignee:
-
Category:
-
Target version:
Difficulty:
easy
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Error in installer output about re-installing not-installed package

# foreman-installer --scenario katello ...
...
Loaded plugins: product-id, search-disabled-repos, subscription-manager
No Match for argument: puppet-agent-oauth
Package(s) puppet-agent-oauth available, but not installed.
Error: Nothing to do
yum -y reinstall puppet-agent-oauth failed! Check the output for error!

/var/log/foreman-installer/katello.log

[ INFO 2018-05-09T09:45:31 main] Resetting puppet server version param...
[DEBUG 2018-05-09T09:45:31 main] Loaded plugins: product-id, search-disabled-rep
os, subscription-manager
[DEBUG 2018-05-09T09:45:38 main] No Match for argument: puppet-agent-oauth
[DEBUG 2018-05-09T09:45:39 main] Package(s) puppet-agent-oauth available, but not installed.
[DEBUG 2018-05-09T09:45:39 main] Error: Nothing to do
[ERROR 2018-05-09T09:45:39 main] yum -y reinstall puppet-agent-oauth failed! Check the output for error!
[DEBUG 2018-05-09T09:45:39 main] Hook /usr/share/katello-installer-base/hooks/pre_validations/31-upgrade-puppet.rb returned nil

foreman-1.18.0-0.develop.201805080055git36d17b1.el7.noarch
katello-3.7.0-3.nightly.el7.noarch
foreman-installer-1.18.0-0.develop.201805020328gita630083.el7.noarch
katello-installer-base-3.7.0-1.nightly.201805022213git43dd519.el7.noarch
foreman-installer-katello-3.7.0-1.nightly.201805022213git43dd519.el7.noarch


Related issues

Related to Katello - Bug #23470: Upgrades should allow picking up new puppet server versions automaticallyClosed2018-05-01

History

#1 Updated by Ales Dujicek over 4 years ago

  • Related to Bug #23470: Upgrades should allow picking up new puppet server versions automatically added

#2 Updated by John Mitsch over 4 years ago

  • Legacy Backlogs Release (now unused) set to 338

#3 Updated by John Mitsch over 4 years ago

  • Priority changed from Normal to High

#4 Updated by Andrew Kofink about 4 years ago

  • Difficulty set to easy

Which version of puppet are you running? Could you try this on 3.7 RC or current nightly? This should have been fixed in #23470.

#5 Updated by Ales Dujicek about 4 years ago

I used what is in nightly install instructions
https://theforeman.org/plugins/katello/nightly/installation/index.html#required-repositories

And I do not see that error in current nightly anymore.

#6 Updated by Justin Sherrill about 4 years ago

  • Triaged set to No
  • Target version changed from Katello 3.7.0 to Katello Recycle Bin
  • Status changed from New to Rejected

Closing, let us know if you see it again. Thanks!

Also available in: Atom PDF